## colorthief 0.2.1

=== Makefile ===
clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

lines:
	find . -name "*.py"|xargs cat|wc -l

release:
	python setup.py register
	python setup.py sdist upload
	python setup.py bdist_wheel upload

=== debian/changelog ===
colorthief (0.2.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 09:45:18 +0900

colorthief (0.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1076777)

 -- Edward Betts <edward@4angle.com>  Tue, 23 Jul 2024 22:24:12 +0900

=== debian/control ===
Source: colorthief
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/fengsp/color-thief-py
Vcs-Browser: https://salsa.debian.org/python-team/packages/colorthief
Vcs-Git: https://salsa.debian.org/python-team/packages/colorthief.git

Package: python3-colorthief
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python module for extracting color palettes from images
 Color Thief is a Python library that allows for extracting a color palette or
 the dominant color from any image. Utilizing the median cut algorithm, it
 provides methods to assess the primary hues and build a palette of a specified
 size. This tool can be useful in graphic design, art projects, and data
 visualization tasks. Its functionality is accessible both as a Python module
 and a command-line interface.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=colorthief

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf colorthief.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/colorthief-$1\.tar\.gz/ \
  https://github.com/fengsp/color-thief-py/tags .*/v?(\d\S+)\.tar\.gz
